Skip to main content
`Ctrl`+`K`

# skbio.metadata.Interval.__eq__

Interval.__eq__(other)

  Test if this `Interval` object is equal to another.

  The equality is performed by checking if the `metadata`, `bounds` and `fuzzy` are equal. Since the `bounds` and the `fuzzy` are sorted, the permutations of them during the `Interval` construction or assignment won’t matter.

  Parameters:
    other Interval

      Interval to test for equality against.

  Returns:
    bool

      Indicates if the two objects are equal.